PDF::API3::Compat::API2::Basic::TTF::PCLT(3)

NAME
PDF::API3::Compat::API2::Basic::TTF::PCLT - PCLT TrueType font table

DESCRIPTION
The PCLT table holds various pieces HP-PCL specific information. Information here is generally not used by other software, except for the xHeight and CapHeight which are stored here (if the table exists in a font).

INSTANCE VARIABLES
Only from table and the standard:

    version
    FontNumber
    Pitch
    xHeight
    Style
    TypeFamily
    CapHeight
    SymbolSet
    Typeface
    CharacterComplement
    FileName
    StrokeWeight
    WidthType
    SerifStyle

Notice that "Typeface", "CharacterComplement" and "FileName" return arrays of unsigned characters of the appropriate length

METHODS

  $t->read
Reads the table into memory thanks to some utility functions

  $t->out($fh)
Writes the table to a file either from memory or by copying.

BUGS
None known

AUTHOR
Martin Hosken Martin_Hosken@sil.org. See PDF::API3::Compat::API2::Basic::TTF::Font for copyright and licensing.